package ornek;

import java.io.File;
import java.util.List;

import tr.gov.tubitak.uekae.esya.api.xmlsignature.Context;
import tr.gov.tubitak.uekae.esya.api.xmlsignature.ValidationResult;
import tr.gov.tubitak.uekae.esya.api.xmlsignature.XMLSignature;
import tr.gov.tubitak.uekae.esya.api.xmlsignature.document.FileDocument;

public class ValidateERecete {

	public static void main(String[] args) throws Exception {

		XMLSignature signature = XMLSignature.parse(
				new FileDocument(new File("./calistay/imza/signed.xml")), 
				new Context());
		
		ValidationResult vr = signature.verify();
		System.out.println(vr.toXml());
		
		List<XMLSignature> allCounterSignatures = signature.getAllCounterSignatures();
		for (XMLSignature counterSignature : allCounterSignatures) {
			ValidationResult counterResult = counterSignature.verify();
			System.out.println(counterResult.toXml());
		}

	}
}
