package ornek;

import tr.gov.tubitak.uekae.esya.api.asn.x509.ECertificate;
import tr.gov.tubitak.uekae.esya.api.common.crypto.BaseSigner;

public class SCManagerSample {

	
	public static void main(String[] args) throws Exception {
		
		SmartCardManager.useAPDU(true);
		SmartCardManager scm = SmartCardManager.getInstance();
		
		ECertificate cert = scm.getSignatureCertificate(true, false);
		System.out.println(cert);
		
		BaseSigner signer = scm.getSigner("123456", cert); 
		scm.logout(); 
		scm.reset(); 
	}
}
